Results 1 to 3 of 3

Thread: qt 4.2.2 install on aix

  1. #1
    Join Date
    Mar 2007
    Posts
    3
    Qt products
    Qt3 Qt4
    Platforms
    Unix/X11 Windows

    Default qt 4.2.2 install on aix

    hi,
    when i install qt-x11-opensource-src-4.2.2 in aix with ./configure -platform aix-g++ and then it list some error like below:

    Creating qmake. Please wait...
    g++ -c -o makefiledeps.o -maix64 -DQMAKE_OPENSOURCE_EDITION -I. -Igenerators -Igenerators/unix -Igenerators/win32 -Igenerators/mac -I/usr/local/qt-x11-opensource-src-4.2.2/src/corelib/arch/generic -I/usr/local/qt-x11-opensource-src-4.2.2/include -I/usr/local/qt-x11-opensource-src-4.2.2/include/QtCore -I/usr/local/qt-x11-opensource-src-4.2.2/include -I/usr/local/qt-x11-opensource-src-4.2.2/include/QtCore -I/usr/local/qt-x11-opensource-src-4.2.2/src/corelib/global -I/usr/local/qt-x11-opensource-src-4.2.2/src/3rdparty/md5 -DQT_NO_TEXTCODEC -DQT_NO_UNICODETABLES -DQT_NO_COMPONENT -DQT_NO_STL -DQT_BUILD_QMAKE -DQT_NO_COMPRESS -I/usr/local/qt-x11-opensource-src-4.2.2/mkspecs/aix-g++-64 -DHAVE_QCONFIG_CPP -DQT_NO_THREAD -DQT_NO_QOBJECT -DQT_NO_GEOM_VARIANT generators/makefiledeps.cpp
    In file included from /usr/local/qt-x11-opensource-src-4.2.2/mkspecs/aix-g++-64/qplatformdefs.h:4
    3,
    from generators/makefiledeps.cpp:30:
    /usr/include/pthread.h:582: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:582: error: parse error before `)' token
    /usr/include/pthread.h:585: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:585: error: parse error before `,' token
    /usr/include/pthread.h:589: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:589: error: parse error before `)' token
    /usr/include/pthread.h:592: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:592: error: parse error before `)' token
    /usr/include/pthread.h:595: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:595: error: parse error before `)' token
    /usr/include/pthread.h:598: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:598: error: parse error before `)' token
    /usr/include/pthread.h:601: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:601: error: parse error before `)' token
    /usr/include/pthread.h:604: error: `pthread_rwlockattr_t' was not declared in
    this scope
    /usr/include/pthread.h:604: error: parse error before `)' token
    /usr/include/pthread.h:607: error: parse error before `*' token
    /usr/include/pthread.h:611: error: `pthread_rwlockattr_t' was not declared in
    this scope
    /usr/include/pthread.h:611: error: parse error before `)' token
    /usr/include/pthread.h:614: error: `pthread_rwlockattr_t' was not declared in
    this scope
    /usr/include/pthread.h:614: error: parse error before `,' token
    /usr/include/pthread.h:625: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:625: error: parse error before `,' token
    /usr/include/pthread.h:629: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:629: error: parse error before `,' token
    /usr/include/pthread.h:652: error: `pthread_spinlock_t' was not declared in
    this scope
    /usr/include/pthread.h:652: error: parse error before `,' token
    /usr/include/pthread.h:655: error: `pthread_spinlock_t' was not declared in
    this scope
    /usr/include/pthread.h:655: error: parse error before `)' token
    /usr/include/pthread.h:658: error: `pthread_spinlock_t' was not declared in
    this scope
    /usr/include/pthread.h:658: error: parse error before `)' token
    /usr/include/pthread.h:661: error: `pthread_spinlock_t' was not declared in
    this scope
    /usr/include/pthread.h:661: error: parse error before `)' token
    /usr/include/pthread.h:664: error: `pthread_spinlock_t' was not declared in
    this scope
    /usr/include/pthread.h:664: error: parse error before `)' token
    /usr/include/pthread.h:672: error: `pthread_barrierattr_t' was not declared in
    this scope
    /usr/include/pthread.h:672: error: parse error before `)' token
    /usr/include/pthread.h:675: error: `pthread_barrierattr_t' was not declared in
    this scope
    /usr/include/pthread.h:675: error: parse error before `)' token
    /usr/include/pthread.h:678: error: parse error before `*' token
    /usr/include/pthread.h:681: error: `pthread_barrierattr_t' was not declared in
    this scope
    /usr/include/pthread.h:681: error: parse error before `,' token
    /usr/include/pthread.h:689: error: `pthread_barrier_t' was not declared in this
    scope
    /usr/include/pthread.h:689: error: parse error before `,' token
    /usr/include/pthread.h:693: error: `pthread_barrier_t' was not declared in this
    scope
    /usr/include/pthread.h:693: error: parse error before `)' token
    /usr/include/pthread.h:696: error: `pthread_barrier_t' was not declared in this
    scope
    /usr/include/pthread.h:696: error: parse error before `)' token


    what is the problem ?

    ps: AIX Version aix5.1.0.0
    gcc version 3.3.2
    thank you at fist

  2. #2
    Join Date
    Jan 2006
    Location
    Munich, Germany
    Posts
    4,710
    Thanks
    21
    Thanked 418 Times in 411 Posts
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    Unix/X11 Windows

    Default Re: qt 4.2.2 install on aix

    -DQT_NO_THREAD
    you are compiling with no thread support.
    Take the above option out of the compiler options.

  3. #3
    Join Date
    Mar 2007
    Posts
    3
    Qt products
    Qt3 Qt4
    Platforms
    Unix/X11 Windows

    Default Re: qt 4.2.2 install on aix

    thanks you ,this time i use comman like fellow
    ./configure -debug-and-release -DQT_THREAD_SUPPORT -platform aix-g++
    and some error like below

    g++ -c -o makefiledeps.o -mpowerpc -DQMAKE_OPENSOURCE_EDITION -I. -Igenerators -Igenerators/unix -Igenerators/win32 -Igenerators/mac -I/usr/local/qt422/src/corelib/arch/generic -I/usr/local/qt422/include -I/usr/local/qt422/include/QtCore -I/usr/local/qt422/include -I/usr/local/qt422/include/QtCore -I/usr/local/qt422/src/corelib/global -I/usr/local/qt422/src/3rdparty/md5 -DQT_NO_TEXTCODEC -DQT_NO_UNICODETABLES -DQT_NO_COMPONENT -DQT_NO_STL -DQT_BUILD_QMAKE -DQT_NO_COMPRESS -I/usr/local/qt422/mkspecs/aix-g++ -DHAVE_QCONFIG_CPP -DQT_NO_THREAD -DQT_NO_QOBJECT -DQT_NO_GEOM_VARIANT generators/makefiledeps.cpp
    In file included from /usr/local/qt422/include/QtCore/qglobal.h:1,
    from /usr/local/qt422/src/corelib/tools/qalgorithms.h:27,
    from /usr/local/qt422/include/QtCore/qalgorithms.h:1,
    from /usr/local/qt422/src/corelib/tools/qstringlist.h:27,
    from /usr/local/qt422/include/QtCore/qstringlist.h:1,
    from generators/makefiledeps.h:27,
    from generators/makefiledeps.cpp:24:
    /usr/local/qt422/src/corelib/global/qglobal.h:38:28: QtCore/qconfig.h: No such file or directory
    In file included from /usr/local/qt422/mkspecs/aix-g++/qplatformdefs.h:43,
    from generators/makefiledeps.cpp:30:
    /usr/include/pthread.h:582: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:582: error: parse error before `)' token
    /usr/include/pthread.h:585: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:585: error: parse error before `,' token
    /usr/include/pthread.h:589: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:589: error: parse error before `)' token
    /usr/include/pthread.h:592: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:592: error: parse error before `)' token
    /usr/include/pthread.h:595: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:595: error: parse error before `)' token
    /usr/include/pthread.h:598: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:598: error: parse error before `)' token
    /usr/include/pthread.h:601: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:601: error: parse error before `)' token
    /usr/include/pthread.h:604: error: `pthread_rwlockattr_t' was not declared in
    this scope
    /usr/include/pthread.h:604: error: parse error before `)' token
    /usr/include/pthread.h:607: error: parse error before `*' token
    /usr/include/pthread.h:611: error: `pthread_rwlockattr_t' was not declared in
    this scope
    /usr/include/pthread.h:611: error: parse error before `)' token
    /usr/include/pthread.h:614: error: `pthread_rwlockattr_t' was not declared in
    this scope
    /usr/include/pthread.h:614: error: parse error before `,' token
    /usr/include/pthread.h:625: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:625: error: parse error before `,' token
    /usr/include/pthread.h:629: error: `pthread_rwlock_t' was not declared in this
    scope
    /usr/include/pthread.h:629: error: parse error before `,' token
    /usr/include/pthread.h:652: error: `pthread_spinlock_t' was not declared in
    this scope
    /usr/include/pthread.h:652: error: parse error before `,' token
    /usr/include/pthread.h:655: error: `pthread_spinlock_t' was not declared in
    this scope
    /usr/include/pthread.h:655: error: parse error before `)' token
    /usr/include/pthread.h:658: error: `pthread_spinlock_t' was not declared in
    this scope
    /usr/include/pthread.h:658: error: parse error before `)' token
    /usr/include/pthread.h:661: error: `pthread_spinlock_t' was not declared in
    this scope
    /usr/include/pthread.h:661: error: parse error before `)' token
    /usr/include/pthread.h:664: error: `pthread_spinlock_t' was not declared in
    this scope
    /usr/include/pthread.h:664: error: parse error before `)' token
    /usr/include/pthread.h:672: error: `pthread_barrierattr_t' was not declared in
    this scope
    /usr/include/pthread.h:672: error: parse error before `)' token
    /usr/include/pthread.h:675: error: `pthread_barrierattr_t' was not declared in
    this scope
    /usr/include/pthread.h:675: error: parse error before `)' token
    /usr/include/pthread.h:678: error: parse error before `*' token
    /usr/include/pthread.h:681: error: `pthread_barrierattr_t' was not declared in
    this scope
    /usr/include/pthread.h:681: error: parse error before `,' token
    /usr/include/pthread.h:689: error: `pthread_barrier_t' was not declared in this
    scope
    /usr/include/pthread.h:689: error: parse error before `,' token
    /usr/include/pthread.h:693: error: `pthread_barrier_t' was not declared in this
    scope
    /usr/include/pthread.h:693: error: parse error before `)' token
    /usr/include/pthread.h:696: error: `pthread_barrier_t' was not declared in this
    scope
    /usr/include/pthread.h:696: error: parse error before `)' token


    but also have -DQT_NO_THREAD define when i configure why? the -DQT_THREAD_SUPPORT is wrong? what is the right one?

    when use the next configre option
    ./configure -debug-and-release -DQT_THREAD_SUPPORT -I/usr/include -platform aix-g++
    the error is the same like befor

    then i view the file types.h in /usr/include/sys some thing like below
    #if (_XOPEN_SOURCE >= 500)
    typedef struct
    {
    #ifdef __64BIT__
    long __rw_word[10];
    #else
    int __rw_word[52];
    #endif /* __64BIT__ */
    }
    pthread_rwlock_t;
    #endif /* _XOPEN_SOURCE >= 500 */

    what is the meaning? is there anybody install qt4 on aix?

Similar Threads

  1. Install Qt 3.3 on RedHat 9
    By luffy27 in forum Installation and Deployment
    Replies: 7
    Last Post: 19th December 2006, 22:15
  2. how to install kde new version on redhat 9
    By amit_pansuria in forum KDE Forum
    Replies: 3
    Last Post: 22nd November 2006, 15:36
  3. Help to install Qt in Windows Xp
    By joseph in forum General Discussion
    Replies: 2
    Last Post: 15th November 2006, 09:40
  4. Mac OSX install Tiger intel&ppc qmake
    By patrik08 in forum Installation and Deployment
    Replies: 3
    Last Post: 6th July 2006, 18:54
  5. Cannot Install KDEdevel packages on linux
    By wirajr in forum KDE Forum
    Replies: 12
    Last Post: 5th February 2006, 21:01

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Digia, Qt and their respective logos are trademarks of Digia Plc in Finland and/or other countries worldwide.